var fs = require("fs");
var pathlib = require("path");
var web = require("webstuff");
var play = require("./js/play");
var fsutil = require("./js/fsutil");

var conf = JSON.parse(fs.readFileSync("conf.json"));

var app = web();
play.init(app, conf);

app.express.use((req, res, next) => {
	if (req.url === "/" && play.isPlaying())
		res.redirect(play.httpPath);
	else
		next();
});

app.static("web");

app.post("/play/url", (req, res) => {
	req.parseBody((err, fields) => {
		if (!fields.url)
			return res.redirect("/");

		function cb(err) {
			if (err) {
				console.log(err);
				res.redirect("/");
			} else {
				res.redirect(play.httpPath);
			}
		}

		if (fields.url.indexOf("magnet:") === 0) {
			play.playTorrent(fields.url, cb);
		} else if (fields.url.indexOf("/torrent") !== -1) {
			play.playTorrentPage(fields.url, cb);
		} else {
			return res.redirect("/");
		}
	});
});

app.get("/additional-links", (req, res) => {
	res.json(conf.additional_links);
});
